Name:           python-tuskarclient
Version:        0.1.18
Release:        3%{?dist}
Summary:        Python client for the Tuskar API

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tuskarclient
Source0:        https://pypi.python.org/packages/source/p/python-tuskarclient/python-tuskarclient-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools

Requires:       python-babel
Requires:       python-iso8601
Requires:       python-prettytable
Requires:       python-keystoneclient
Requires:       python-requests
Requires:       python-simplejson
Requires:       python-six
Requires:       python-stevedore

#
# patches_base=+1
#
Patch0001: 0001-Implement-show-Plan-for-the-OpenStack-client.patch
Patch0002: 0002-Implement-Plan-add-Role-for-the-OpenStack-client.patch
Patch0003: 0003-Implement-Plan-remove-Role-for-the-OpenStack-client.patch
Patch0004: 0004-Implement-download-Plan-for-the-OpenStack-client.patch
Patch0005: 0005-Updated-from-global-requirements.patch
Patch0006: 0006-Enable-SSL-related-CLI-opts.patch
Patch0007: 0007-rhbz-1234363-Bump-hacking-version.patch
Patch0008: 0008-rhbz-1234372-Filter-and-format-parameters-for-plan-r.patch
Patch0009: 0009-rhbz-1234374-Handle-creation-of-plan-with-existing-n.patch
Patch0010: 0010-Calling-tuskar-role-list-would-output-blank-lines.patch

%description
python-tuskarclient is a Python client and a command-line interface
for Tuskar <https://github.com/openstack/tuskar>.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1

sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{_bindir}/*
%{python2_sitelib}/tuskarclient*
%{python2_sitelib}/python_tuskarclient*
%doc LICENSE README.rst

%changelog
* Wed Jun 24 2015 Mike Burns <mburns@redhat.com> 0.1.18-3
- Calling tuskar role-list would output blank lines

* Mon Jun 22 2015 Mike Burns <mburns@redhat.com> 0.1.18-2
- rhbz#1234374 Handle creation of plan with existing name
- rhbz#1234372 Filter and format parameters for plan role in OSC
- rhbz#1234363 Bump hacking version

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.1.18-1
- Update to upstream 0.1.18

* Fri Jun 19 2015 Mike Burns <mburns@redhat.com> 0.1.17-4
- Enable SSL-related CLI opts rhbz#1228433

* Thu Jun 04 2015 Mike Burns <mburns@redhat.com> 0.1.17-3
- Updated from global requirements
- Implement download Plan for the OpenStack client
- Implement Plan remove Role for the OpenStack client
- Implement Plan add Role for the OpenStack client
- Implement show Plan for the OpenStack client
- Implement Update Plan for the OpenStack client
- Implement delete Plan for the OpenStack client
- Implement create Plan for the OpenStack client
- Implement list plans for the OpenStack client
- Implement list Roles for the OpenStack client
- Drop use of 'oslo' namespace package
- Add stub commands and tests for all OpenStack client commands
- Add initial python-openstackclient plugin
- Updated from global requirements
- Show Plan parameters with empty values only
- Add /v2 to TUSKAR_URL in README example
- Correct plan-remove-role to handle return of delete correctly
- Add a help message for the plan-templates command

* Wed May 06 2015 Mike Burns <mburns@redhat.com> 0.1.17-2


* Wed May 06 2015 Mike Burns <mburns@redhat.com> 0.1.17-1
- Update to upstream 0.1.17

* Thu Jan 08 2015 Mike Burns <mburns@redhat.com> 0.1.15-3
- Remove run-time dependency on python-pbr

* Wed Dec 10 2014 Lon Hohberger <lhh@redhat.com> 0.1.15-2
- Updated from global requirements
- Updated from global requirements
- Moves test_http.py under tests/common directory
- Updated from global requirements
- Removes legacy Exception for 300 HTTP status
- Add a --debug option
- Move utils arg/env to oslo cliutils
- Sync oslo-incubator
- Add --version option

* Thu Oct 16 2014 Jordan OMara <jomara@redhat.com> - 0.1.5-1
- new src, 0.1.5 (jomara@redhat.com)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Jordan OMara <jomara@redhat.com> - 0.1.4-1
- new src, 0.1.4 (jomara@redhat.com)

* Fri Apr 4 2014 Jordan OMara <jomara@redhat.com> - 0.1.3-1
- upgrading source

* Fri Mar 14 2014 Jordan OMara <jomara@redhat.com> - 0.1.1-2
- fixed .egg-info

* Fri Feb 28 2014 Jordan OMara <jomara@redhat.com> - 0.1.1-1
- added .egg-info

* Mon Feb 24 2014 Angus Thomas <athomas@redhat.com> - 0.1.0-2
- Replace explicit paths with macros
- Added LICENSE README.rst to docs

* Fri Feb 21 2014 Angus Thomas <athomas@redhat.com> - 0.1.0-1
- Initial package.
